<?php

namespace AuthStack\Driver\AUDGeneric;

use Illuminate\Support\ServiceProvider;

class AUDGenericDriverServiceProvider extends ServiceProvider
{
    public function boot()
    {
        $router = $this->app['router'];
        $router->pushMiddlewareToGroup('aud', \AuthStack\Driver\AUDGeneric\Middleware\AUD::class);

        $this->loadRoutesFrom(__DIR__.'/routes.php');

        $this->publishes([__DIR__ . '/database/seeds/' => database_path('seeds/')]);
    }
}
